## libretro-desmume 0.9.11+git20160819+dfsg1

=== Makefile ===
include Makefile.libretro

=== src/libretro-common/utils/Makefile ===
compiler    := gcc
extra_flags :=
use_neon    := 0
release	   := release
DYLIB	      :=

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
   arch = intel
ifeq ($(shell uname -p),powerpc)
   arch = ppc
endif
else ifneq ($(findstring win,$(shell uname -a)),)
   platform = win
endif
endif

ifeq ($(platform),gcc)
extra_rules_gcc := $(shell $(compiler) -dumpmachine)
endif

ifneq (,$(findstring armv7,$(extra_rules_gcc)))
extra_flags += -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon
use_neon := 1
endif

ifneq (,$(findstring hardfloat,$(extra_rules_gcc)))
extra_flags += -mfloat-abi=hard
endif

ifeq (release,$(build))
extra_flags += -O2
endif

ifeq (debug,$(build))
extra_flags += -O0 -g
endif

ldflags := -shared -Wl,--version-script=link.T

ifeq ($(platform), unix)
DYLIB =
else ifeq ($(platform), osx)
compiler := $(CC)
DYLIB =
ldflags := -dynamiclib
else
extra_flags += -static-libgcc -static-libstdc++
DYLIB = exe
endif

CC      := $(compiler)
CXX     := $(subst CC,++,$(compiler))
flags   := -fPIC $(extra_flags) -I../../libretro-common/include
asflags := -fPIC  $(extra_flags)
LDFLAGS := -lz
flags   += -std=c99 -DMD5_BUILD_UTILITY


ifeq (1,$(use_neon))
ASMFLAGS := -INEON/asm
asflags += -mfpu=neon
endif

OBJS += djb2.o md5.o sha1.o crc32.o
UTILS += djb2$(DYLIB) md5$(DYLIB) sha1$(DYLIB) crc32$(DYLIB)

all: djb2$(DYLIB) md5$(DYLIB) sha1$(DYLIB) crc32$(DYLIB)

djb2$(DYLIB): djb2.o

md5$(DYLIB): md5.o

sha1$(DYLIB): sha1.o

crc32$(DYLIB): crc32.o

%.o: %.S
	$(CC) -c -o $@ $(asflags) $(LDFLAGS)  $(ASMFLAGS)  $<

%.o: %.c
	$(CC) -c -o $@ $(flags) $<

%.$(DYLIB): %.o
	$(CC) -o $@ $(ldflags) $(flags) $^

clean:
	rm -f *.o
	rm -f djb2$(DYLIB) md5$(DYLIB) sha1$(DYLIB) crc32$(DYLIB)

strip:
	strip -s *.$(DYLIB)

=== src/libretro-common/file/nbio/test/Makefile ===
TARGET := nbio_test

LIBRETRO_COMM_DIR := ../../..

SOURCES := \
	nbio_test.c \
	../nbio_stdio.c

OBJS := $(SOURCES:.c=.o)

CFLAGS += -Wall -pedantic -std=gnu99 -g -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== src/libretro-common/formats/png/test/Makefile ===
TARGET := rpng

LIBRETRO_PNG_DIR  := ..
LIBRETRO_COMM_DIR := ../../..

HAVE_IMLIB2=1

LDFLAGS +=  -lz

ifeq ($(HAVE_IMLIB2),1)
CFLAGS += -DHAVE_IMLIB2
LDFLAGS += -lImlib2
endif

SOURCES_C := 	\
	rpng_test.c \
	$(LIBRETRO_PNG_DIR)/rpng.c \
	$(LIBRETRO_PNG_DIR)/rpng_encode.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_stdio.c \
	$(LIBRETRO_COMM_DIR)/file/archive_file.c \
	$(LIBRETRO_COMM_DIR)/file/archive_file_zlib.c \
	$(LIBRETRO_COMM_DIR)//file/file_path.c \
	$(LIBRETRO_COMM_DIR)//file/retro_stat.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c \
	$(LIBRETRO_COMM_DIR)/lists/string_list.c

OBJS := $(SOURCES_C:.c=.o)

CFLAGS += -Wall -pedantic -std=gnu99 -O0 -g -DHAVE_ZLIB -DRPNG_TEST -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== src/libretro-common/formats/xml/test/Makefile ===
TARGET := rxml

LIBRETRO_XML_DIR  := ..
LIBRETRO_COMM_DIR := ../../..

SOURCES := \
	rxml_test.c \
	$(LIBRETRO_XML_DIR)/rxml.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c

OBJS := $(SOURCES:.c=.o)

CFLAGS += -DRXML_TEST -Wall -pedantic -std=gnu99 -g -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== debian/changelog ===
libretro-desmume (0.9.11+git20160819+dfsg1-1) unstable; urgency=low

  * Updated to latest git, 2fb4b68. It Builds now with GCC 6 (Closes: #831098).
  * Updated Standards-Version to 3.9.8.
  * Fixed hardening-no-bindnow.
  * Updated TinyXml patch.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 23 Aug 2016 20:20:00 -0300

libretro-desmume (0.9.11+git20160319+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #799398).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Thu, 07 Apr 2016 21:10:00 -0300

=== debian/control ===
Source: libretro-desmume
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sérgio Benjamim <sergio_br2@yahoo.com.br>
Build-Depends: debhelper (>= 9), libtinyxml-dev
Standards-Version: 3.9.8
Homepage: http://desmume.org

Package: libretro-desmume
Architecture: any
Multi-Arch: same
Depends: retroarch | libretro-frontend, ${misc:Depends}, ${shlibs:Depends}
Description: Libretro wrapper for DeSmuME
 This wrapper makes DeSmuME core API compatible with libretro, thus allowing its
 use with libretro frontends, such as RetroArch.
 .
 DeSmuME attempts to emulate, as faithfully as possible, the Nintendo DS and
 Nintendo DS Lite handheld game consoles. Nintendo DSi is not supported.
 .
 Nintendo DS, Nintendo DS Lite and Nintendo DSi are registered trademarks of
 Nintendo of America Inc. DeSmuME is not affiliated with or endorsed by any of
 the companies mentioned.

=== debian/rules ===
#!/usr/bin/make -f

# Fix hardening-no-bindnow
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export DEB_CXXFLAGS_MAINT_STRIP=-O2
export DEB_CFLAGS_MAINT_STRIP=-O2

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH),armhf)
	PLATFORM=platform="armv hardfloat"
endif

%:
	dh $@ --sourcedirectory=desmume/

override_dh_auto_build:
	dh_auto_build -- -f Makefile.libretro $(PLATFORM)

override_dh_auto_clean:
	dh_auto_clean -- -f Makefile.libretro

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  http://sf.net/desmume/desmume-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
